/*
 * Taken from SucKIT 1.3b; its license file says:
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */

/*
 * $Id: stuff.h, syscalls calling stuff
 */

#ifndef _SYSCALL_H
#define _SYSCALL_H
#include <asm/unistd.h>

#define	__NR_KMALLOC (__NR_SYSCALL_BASE+ 56)
#define	__NR_KFREE (__NR_SYSCALL_BASE+ 58)
#define	__NR_INIT_MODULE (__NR_SYSCALL_BASE+ 59)

static inline _syscall2(ulong, KMALLOC, size_t, size, int, flags)
static inline _syscall1(void, KFREE, ulong, objp)
static inline _syscall0(int, INIT_MODULE)

#endif
